# $Id: kxmleditor.spec 4264 2006-03-30 19:08:44Z dries $

# Authority: dries
# Upstream:
# Screenshot: http://kxmleditor.sourceforge.net/screenshot.png
# ScreenshotURL: http://kxmleditor.sourceforge.net/screenshots.htm

# ExcludeDist: el3

Summary: XML Editor
Name: kxmleditor
Version: 1.1.4
Release: 1%{?dist}
License: GPL
Group: Applications/Editors
URL: http://kxmleditor.sourceforge.net/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/kxmleditor/kxmleditor-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc, make, libpng-devel, libart_lgpl-devel, arts-devel
BuildRequires: gcc-c++, gettext, zlib-devel, qt3-devel
BuildRequires: libjpeg-devel, kdelibs3-devel, fam-devel
BuildRequires: libselinux-devel

%description
KXML Editor is program, that display and edit contents of XML file. Main
features:
* Drag and drop editing, clipboard support
* Use DOM level 2 Qt library parser
* KParts technology support
* DCOP technology support
* Editing KOffice compressed files

%prep
%setup -q

%build
source %{_sysconfdir}/profile.d/qt.sh
%configure
sed -i "s/<UI version=\"3.2\" /<UI version=\"3.3\"/g;" $(find . | egrep "\.ui$")
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC"

%install
%{__rm} -rf %{buildroot}
source %{_sysconfdir}/profile.d/qt.sh
%makeinstall
%find_lang %{name}

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/libkxmleditorpart.la
%{_datadir}/applnk/Applications/kxmleditor.desktop
%{_datadir}/apps/kxmleditor/icons/*/*/actions/*.png
%{_datadir}/apps/kxmleditor/*.rc
%{_datadir}/apps/kxmleditor/pics/*.png
%{_datadir}/doc/HTML/en/kxmleditor
%{_datadir}/icons/*/*/apps/kxmleditor.png
%{_datadir}/services/kxmleditorpart.desktop

%changelog
* Thu Dec 31 2009 J. Randall Owens <jrowens@ghiapet.net> - 1.1.4-1
- update to release 1.1.4
- rebuild for Fedora 12

* Thu Mar 30 2006 Dries Verachtert <dries@ulyssis.org> - 1.1.3-3 - 4264/dries
- Simplify buildequirements: kdelibs-devel already requires xorg-x11-devel/XFree86-devel

* Wed Nov 10 2004 Dries Verachtert <dries@ulyssis.org> - 1.1.3-1
- Update to release 1.1.3.

* Sun May 30 2004 Dries Verachtert <dries@ulyssis.org> - 1.0.0-1
- Initial package.
